import request from '@/utils/request'

// 查询首页统计图表
/**
 * @param {*}
 * @returns request
 */

export function homeGetChartData() {
  return request({
    url: '/index/indexCharts',
    method: 'post'
  })
}

// 查询首页统计统计数据
/**
 * @param {*}
 * @returns request
 */

export function homeGetFormData() {
  return request({
    url: '/index/indexStats',
    method: 'post'
  })
}

/**
 * @description 获取首页统计信息
 */
export function getHomeStatisticsData(params) {
  return request({
    url: '/home/statistics',
    method: 'get',
    params
  })
}

/**
 * @description 获取商家统计列表
 */
export function getHomeStatisticsShopList() {
  return request({
    url: '/home/statistics/getShopList',
    method: 'get'
  })
}
